/*===========================================================================*/
/*   (BackEnd/c.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent BackEnd/c.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_copz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_copz00_bglt;

typedef struct BgL_clabelz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   bool_t BgL_usedzf3zf3;
   obj_t BgL_bodyz00;
} *BgL_clabelz00_bglt;

typedef struct BgL_cgotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_clabelz00_bgl * BgL_labelz00;
} *BgL_cgotoz00_bglt;

typedef struct BgL_blockz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_bodyz00;
} *BgL_blockz00_bglt;

typedef struct BgL_creturnz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_creturnz00_bglt;

typedef struct BgL_cvoidz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_cvoidz00_bglt;

typedef struct BgL_catomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_valuez00;
} *BgL_catomz00_bglt;

typedef struct BgL_varcz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varcz00_bglt;

typedef struct BgL_cpragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_formatz00;
   obj_t BgL_argsz00;
} *BgL_cpragmaz00_bglt;

typedef struct BgL_ccastz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_copz00_bgl * BgL_argz00;
} *BgL_ccastz00_bglt;

typedef struct BgL_csequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   bool_t BgL_czd2expzf3z21;
   obj_t BgL_copsz00;
} *BgL_csequencez00_bglt;

typedef struct BgL_nopz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_nopz00_bglt;

typedef struct BgL_stopz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_stopz00_bglt;

typedef struct BgL_csetqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_varcz00_bgl * BgL_varz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_csetqz00_bglt;

typedef struct BgL_cifz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_testz00;
   struct BgL_copz00_bgl * BgL_truez00;
   struct BgL_copz00_bgl * BgL_falsez00;
} *BgL_cifz00_bglt;

typedef struct BgL_localzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_varsz00;
} *BgL_localzd2varzd2_bglt;

typedef struct BgL_cfuncallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_cfuncallz00_bglt;

typedef struct BgL_capplyz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_funz00;
   struct BgL_copz00_bgl * BgL_argz00;
} *BgL_capplyz00_bglt;

typedef struct BgL_cappz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_cappz00_bglt;

typedef struct BgL_cfailz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_procz00;
   struct BgL_copz00_bgl * BgL_msgz00;
   struct BgL_copz00_bgl * BgL_objz00;
} *BgL_cfailz00_bglt;

typedef struct BgL_cswitchz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
} *BgL_cswitchz00_bglt;

typedef struct BgL_cmakezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_cmakezd2boxzd2_bglt;

typedef struct BgL_cboxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_varz00;
} *BgL_cboxzd2refzd2_bglt;

typedef struct BgL_cboxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_varz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_cboxzd2setz12zc0_bglt;

typedef struct BgL_csetzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_exitz00;
   struct BgL_copz00_bgl * BgL_jumpzd2valuezd2;
   struct BgL_copz00_bgl * BgL_bodyz00;
} *BgL_csetzd2exzd2itz00_bglt;

typedef struct BgL_cjumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_exitz00;
   struct BgL_copz00_bgl * BgL_valuez00;
} *BgL_cjumpzd2exzd2itz00_bglt;

typedef struct BgL_sfunzf2czf2_bgl {
   struct BgL_clabelz00_bgl * BgL_labelz00;
   bool_t BgL_integratedz00;
} *BgL_sfunzf2czf2_bglt;

typedef struct BgL_bdbzd2blockzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_copz00_bgl * BgL_bodyz00;
} *BgL_bdbzd2blockzd2_bglt;

typedef struct BgL_backendz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_backendz00_bglt;

typedef struct BgL_cvmz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_cvmz00_bglt;

typedef struct BgL_sawcz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_sawcz00_bglt;

typedef struct BgL_cgenz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_cgenz00_bglt;

typedef struct BgL_jvmz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
   obj_t BgL_qnamez00;
   obj_t BgL_classesz00;
   obj_t BgL_currentzd2classzd2;
   obj_t BgL_declarationsz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_codez00;
} *BgL_jvmz00_bglt;

typedef struct BgL_dotnetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
   obj_t BgL_outz00;
   obj_t BgL_qnamez00;
} *BgL_dotnetz00_bglt;


BGL_EXPORTED_DECL obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00();
static obj_t BGl_backendzd2linkzd2cvm3788z00zzbackend_cz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzbackend_cz00();
extern obj_t BGl_emitzd2mainzd2zzbackend_c_emitz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern obj_t BGl_ldz00zzcc_ldz00(obj_t, bool_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl_za2dlopenzd2initza2zd2zzengine_paramz00;
BGL_IMPORT obj_t string_to_bstring(char *);
static obj_t BGl_zc3anonymousza33910ze3z83zzbackend_cz00(obj_t);
extern obj_t BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00();
extern obj_t BGl_globalz00zzast_varz00;
static obj_t BGl__buildzd2sawczd2backendz00zzbackend_cz00(obj_t);
static obj_t BGl__cczd2compiler4581zd2zzbackend_cz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzbackend_cz00();
extern obj_t BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(obj_t);
extern obj_t BGl_getzd2modulezd2initz00zzbackend_c_initz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_emitzd2cnstszd2zzbackend_c_prototypez00();
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00();
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern BgL_cgenz00_bglt BGl_makezd2cgenzd2zzbackend_backendz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzbackend_cz00();
extern BgL_sawcz00_bglt BGl_makezd2sawczd2zzbackend_backendz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_libraryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbdb_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzprof_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_c_initz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_copz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcgen_cgenz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_indentz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_cvmzd2compilezd2functionsz00zzbackend_backendz00(BgL_cvmz00_bglt);
extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t, obj_t);
extern obj_t BGl_emitzd2prototypeszd2zzbackend_c_prototypez00();
static obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt);
extern obj_t BGl_emitzd2classzd2typesz00zzobject_classz00(obj_t);
extern obj_t BGl_za2czd2portza2zd2zzbackend_c_emitz00;
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
extern obj_t BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00();
extern obj_t BGl_za2sawza2z00zzengine_paramz00;
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_startzd2emissionz12zc0zzbackend_c_emitz00(obj_t);
extern obj_t BGl_emitzd2headerzd2zzbackend_c_emitz00();
extern obj_t BGl_emitzd2profzd2infoz00zzprof_emitz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33851ze3z83zzbackend_cz00(obj_t);
static obj_t BGl_zc3anonymousza34517ze3z83zzbackend_cz00(obj_t);
static obj_t BGl_zc3anonymousza34522ze3z83zzbackend_cz00(obj_t);
extern obj_t BGl_emitzd2includezd2zzbackend_c_emitz00();
BGL_EXPORTED_DECL obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00();
extern obj_t BGl_indentz00zzcc_indentz00(obj_t);
static obj_t BGl__buildzd2cgenzd2backendz00zzbackend_cz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzbackend_cz00 = BUNSPEC;
static obj_t BGl_backendzd2compilezd2cvm3786z00zzbackend_cz00(obj_t, obj_t);
extern obj_t BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(obj_t, obj_t);
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza34532ze3z83zzbackend_cz00(obj_t);
extern obj_t BGl_za2czd2debugza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00();
extern obj_t BGl_ccz00zzcc_ccz00(obj_t, obj_t, bool_t);
extern obj_t BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();
extern obj_t BGl_cvmz00zzbackend_backendz00;
static obj_t __cnst[ 10 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_buildzd2cgenzd2backendzd2envzd2zzbackend_cz00, BgL_bgl__buildza7d2cgenza7d2backendza700za7za7backend_cza7004682z00, BGl__buildzd2cgenzd2backendz00zzbackend_cz00, 0L, 0 );
DEFINE_STRING( BGl_string4655z00zzbackend_cz00, BgL_bgl_string4655za700za7za7backend_cza7004683z00, "cindent distrib cgen done cc imported (ld distrib) ((lambda () (start-emission! \".c\"))) pass-started c ", 103 );
DEFINE_STRING( BGl_string4648z00zzbackend_cz00, BgL_bgl_string4648za700za7za7backend_cza7004684z00, ".c", 2 );
DEFINE_STRING( BGl_string4646z00zzbackend_cz00, BgL_bgl_string4646za700za7za7backend_cza7004685z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string4645z00zzbackend_cz00, BgL_bgl_string4645za700za7za7backend_cza7004686z00, "C generation (cgen)", 19 );
DEFINE_STRING( BGl_string4644z00zzbackend_cz00, BgL_bgl_string4644za700za7za7backend_cza7004687z00, "C generation (saw)", 18 );
DEFINE_STRING( BGl_string4643z00zzbackend_cz00, BgL_bgl_string4643za700za7za7backend_cza7004688z00, "   . ", 5 );
DEFINE_STRING( BGl_string4642z00zzbackend_cz00, BgL_bgl_string4642za700za7za7backend_cza7004689z00, "dummy", 5 );
DEFINE_STATIC_PROCEDURE( BGl_proc4647z00zzbackend_cz00, BgL_bgl_za7c3anonymousza7a33851za7e3za783za7za7backend_cza7004690za7, BGl_zc3anonymousza33851ze3z83zzbackend_cz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4650z00zzbackend_cz00, BgL_bgl_backendza7d2compileza7d2cvm3786za700za7za7backend_cza7004691z00, BGl_backendzd2compilezd2cvm3786z00zzbackend_cz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4649z00zzbackend_cz00, BgL_bgl_za7c3anonymousza7a33910za7e3za783za7za7backend_cza7004692za7, BGl_zc3anonymousza33910ze3z83zzbackend_cz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4651z00zzbackend_cz00, BgL_bgl_backendza7d2linkza7d2cvm3788za700za7za7backend_cza7004693z00, BGl_backendzd2linkzd2cvm3788z00zzbackend_cz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4652z00zzbackend_cz00, BgL_bgl_za7c3anonymousza7a34517za7e3za783za7za7backend_cza7004694za7, BGl_zc3anonymousza34517ze3z83zzbackend_cz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4653z00zzbackend_cz00, BgL_bgl_za7c3anonymousza7a34522za7e3za783za7za7backend_cza7004695za7, BGl_zc3anonymousza34522ze3z83zzbackend_cz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc4654z00zzbackend_cz00, BgL_bgl_za7c3anonymousza7a34532za7e3za783za7za7backend_cza7004696za7, BGl_zc3anonymousza34532ze3z83zzbackend_cz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_cczd2compilerzd2envz00zzbackend_cz00, BgL_bgl__ccza7d2compiler4581za7d2za7za7backend_cza7004697za7, BGl__cczd2compiler4581zd2zzbackend_cz00, 0L, 2 );
extern obj_t BGl_backendzd2compilezd2envz00zzbackend_backendz00;
extern obj_t BGl_backendzd2linkzd2envz00zzbackend_backendz00;
DEFINE_EXPORT_PROCEDURE( BGl_buildzd2sawczd2backendzd2envzd2zzbackend_cz00, BgL_bgl__buildza7d2sawcza7d2backendza700za7za7backend_cza7004698z00, BGl__buildzd2sawczd2backendz00zzbackend_cz00, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long BgL_checksumz00_1741, char * BgL_fromz00_1742)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbackend_cz00))
{ 
BGl_requirezd2initializa7ationz75zzbackend_cz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzbackend_cz00(); 
BGl_cnstzd2initzd2zzbackend_cz00(); 
BGl_importedzd2moduleszd2initz00zzbackend_cz00(); 
BGl_methodzd2initzd2zzbackend_cz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "backend_c"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "backend_c"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "backend_c"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 15 */
{ /* ./BackEnd/c.scm 15 */
obj_t BgL_cportz00_1734;
BgL_cportz00_1734 = 
open_input_string(BGl_string4655z00zzbackend_cz00); 
{ 
long BgL_iz00_1735;
BgL_iz00_1735 = ((long)9); 
BgL_loopz00_1736:
{ /* ./BackEnd/c.scm 15 */
bool_t BgL_test4657z00_1737;
BgL_test4657z00_1737 = 
(BgL_iz00_1735==((long)-1)); 
if(BgL_test4657z00_1737)
{ /* ./BackEnd/c.scm 15 */
return BUNSPEC;}  else 
{ /* ./BackEnd/c.scm 15 */
{ /* ./BackEnd/c.scm 15 */
obj_t BgL_arg4659z00_1738;
{ /* ./BackEnd/c.scm 15 */
obj_t BgL_list4662z00_1739;
BgL_list4662z00_1739 = 
MAKE_PAIR(BgL_cportz00_1734, BNIL); 
BgL_arg4659z00_1738 = 
BGl_readz00zz__readerz00(BgL_list4662z00_1739); } 
{ /* ./BackEnd/c.scm 15 */
int BgL_auxz00_1758;
BgL_auxz00_1758 = 
(int)(BgL_iz00_1735); 
CNST_TABLE_SET(BgL_auxz00_1758, BgL_arg4659z00_1738); } } 
{ /* ./BackEnd/c.scm 15 */
int BgL_auxz00_1740;
{ /* ./BackEnd/c.scm 15 */
long BgL_auxz00_1761;
BgL_auxz00_1761 = 
(BgL_iz00_1735-((long)1)); 
BgL_auxz00_1740 = 
(int)(BgL_auxz00_1761); } 
{ 
long BgL_iz00_1764;
BgL_iz00_1764 = 
(long)(BgL_auxz00_1740); 
BgL_iz00_1735 = BgL_iz00_1764; 
goto BgL_loopz00_1736;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 15 */
return BUNSPEC;} 
}



/* build-sawc-backend */
BGL_EXPORTED_DEF obj_t BGl_buildzd2sawczd2backendz00zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 51 */
{ /* ./BackEnd/c.scm 52 */
BgL_sawcz00_bglt BgL_auxz00_1766;
BgL_auxz00_1766 = 
BGl_makezd2sawczd2zzbackend_backendz00(
CNST_TABLE_REF(((long)0)), BGl_string4642z00zzbackend_cz00, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL); 
return 
(obj_t)(BgL_auxz00_1766);} } 
}



/* _build-sawc-backend */
obj_t BGl__buildzd2sawczd2backendz00zzbackend_cz00(obj_t BgL_envz00_1706)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 51 */
return 
BGl_buildzd2sawczd2backendz00zzbackend_cz00();} 
}



/* build-cgen-backend */
BGL_EXPORTED_DEF obj_t BGl_buildzd2cgenzd2backendz00zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 58 */
{ /* ./BackEnd/c.scm 59 */
BgL_cgenz00_bglt BgL_auxz00_1771;
BgL_auxz00_1771 = 
BGl_makezd2cgenzd2zzbackend_backendz00(
CNST_TABLE_REF(((long)0)), BGl_string4642z00zzbackend_cz00, BNIL, BNIL, BNIL, BNIL, BNIL, BNIL); 
return 
(obj_t)(BgL_auxz00_1771);} } 
}



/* _build-cgen-backend */
obj_t BGl__buildzd2cgenzd2backendz00zzbackend_cz00(obj_t BgL_envz00_1707)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 58 */
return 
BGl_buildzd2cgenzd2backendz00zzbackend_cz00();} 
}



/* c-walk */
obj_t BGl_czd2walkzd2zzbackend_cz00(BgL_cvmz00_bglt BgL_mez00_22)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 86 */
{ /* ./BackEnd/c.scm 87 */
char * BgL_arg3832z00_1044;
if(
CBOOL(BGl_za2sawza2z00zzengine_paramz00))
{ /* ./BackEnd/c.scm 87 */
BgL_arg3832z00_1044 = "C generation (saw)"; }  else 
{ /* ./BackEnd/c.scm 87 */
BgL_arg3832z00_1044 = "C generation (cgen)"; } 
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_list3834z00_1045;
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_arg3836z00_1046;
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_arg3839z00_1047;
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_auxz00_1778;
BgL_auxz00_1778 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg3839z00_1047 = 
MAKE_PAIR(BgL_auxz00_1778, BNIL); } 
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_auxz00_1781;
BgL_auxz00_1781 = 
string_to_bstring(BgL_arg3832z00_1044); 
BgL_arg3836z00_1046 = 
MAKE_PAIR(BgL_auxz00_1781, BgL_arg3839z00_1047); } } 
BgL_list3834z00_1045 = 
MAKE_PAIR(BGl_string4643z00zzbackend_cz00, BgL_arg3836z00_1046); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list3834z00_1045); } } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
if(
CBOOL(BGl_za2sawza2z00zzengine_paramz00))
{ /* ./BackEnd/c.scm 87 */
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string4644z00zzbackend_cz00; }  else 
{ /* ./BackEnd/c.scm 87 */
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string4645z00zzbackend_cz00; } 
{ 
obj_t BgL_hooksz00_1048;obj_t BgL_hnamesz00_1049;
{ /* ./BackEnd/c.scm 90 */
obj_t BgL_arg3843z00_1051;obj_t BgL_arg3844z00_1052;
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_list3849z00_1054;
BgL_list3849z00_1054 = 
MAKE_PAIR(BGl_proc4647z00zzbackend_cz00, BNIL); 
BgL_arg3843z00_1051 = BgL_list3849z00_1054; } 
BgL_arg3844z00_1052 = 
CNST_TABLE_REF(((long)2)); 
BgL_hooksz00_1048 = BgL_arg3843z00_1051; 
BgL_hnamesz00_1049 = BgL_arg3844z00_1052; 
BgL_loopz00_1050:
{ /* ./BackEnd/c.scm 87 */
bool_t BgL_test3853z00_1057;
BgL_test3853z00_1057 = 
NULLP(BgL_hooksz00_1048); 
if(BgL_test3853z00_1057)
{ /* ./BackEnd/c.scm 87 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./BackEnd/c.scm 87 */
bool_t BgL_test3854z00_1058;
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_fun3869z00_1064;
BgL_fun3869z00_1064 = 
CAR(BgL_hooksz00_1048); 
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_auxz00_1796;
BgL_auxz00_1796 = 
PROCEDURE_ENTRY(BgL_fun3869z00_1064)(BgL_fun3869z00_1064, BEOA); 
BgL_test3854z00_1058 = 
CBOOL(BgL_auxz00_1796); } } 
if(BgL_test3854z00_1058)
{ /* ./BackEnd/c.scm 87 */
{ /* ./BackEnd/c.scm 87 */
obj_t BgL_arg3856z00_1059;obj_t BgL_arg3857z00_1060;
BgL_arg3856z00_1059 = 
CDR(BgL_hooksz00_1048); 
BgL_arg3857z00_1060 = 
CDR(BgL_hnamesz00_1049); 
{ 
obj_t BgL_hnamesz00_1804;obj_t BgL_hooksz00_1803;
BgL_hooksz00_1803 = BgL_arg3856z00_1059; 
BgL_hnamesz00_1804 = BgL_arg3857z00_1060; 
BgL_hnamesz00_1049 = BgL_hnamesz00_1804; 
BgL_hooksz00_1048 = BgL_hooksz00_1803; 
goto BgL_loopz00_1050;} } }  else 
{ /* ./BackEnd/c.scm 87 */
{ /* ./BackEnd/c.scm 87 */
char * BgL_arg3862z00_1061;obj_t BgL_arg3864z00_1063;
if(
CBOOL(BGl_za2sawza2z00zzengine_paramz00))
{ /* ./BackEnd/c.scm 87 */
BgL_arg3862z00_1061 = "C generation (saw)"; }  else 
{ /* ./BackEnd/c.scm 87 */
BgL_arg3862z00_1061 = "C generation (cgen)"; } 
BgL_arg3864z00_1063 = 
CAR(BgL_hnamesz00_1049); 
BGl_internalzd2errorzd2zztools_errorz00(
string_to_bstring(BgL_arg3862z00_1061), BGl_string4646z00zzbackend_cz00, BgL_arg3864z00_1063); } } } } } } 
BGl_emitzd2headerzd2zzbackend_c_emitz00(); 
BGl_emitzd2garbagezd2collectorzd2selectionzd2zzbackend_c_emitz00(); 
{ /* ./BackEnd/c.scm 101 */
bool_t BgL_test3874z00_1065;
{ /* ./BackEnd/c.scm 101 */
bool_t BgL_test3876z00_1066;
{ /* ./BackEnd/c.scm 101 */
long BgL_n1z00_1694;
BgL_n1z00_1694 = 
(long)CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00); 
BgL_test3876z00_1066 = 
(BgL_n1z00_1694>((long)0)); } 
if(BgL_test3876z00_1066)
{ /* ./BackEnd/c.scm 101 */
BgL_test3874z00_1065 = ((bool_t)1); }  else 
{ /* ./BackEnd/c.scm 101 */
BgL_test3874z00_1065 = 
CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00); } } 
if(BgL_test3874z00_1065)
{ /* ./BackEnd/c.scm 101 */
BGl_emitzd2debugzd2activationz00zzbackend_c_emitz00(); }  else 
{ /* ./BackEnd/c.scm 101 */BFALSE; } } 
BGl_emitzd2includezd2zzbackend_c_emitz00(); 
BGl_emitzd2classzd2typesz00zzobject_classz00(BGl_za2czd2portza2zd2zzbackend_c_emitz00); 
BGl_emitzd2prototypeszd2zzbackend_c_prototypez00(); 
BGl_emitzd2cnstszd2zzbackend_c_prototypez00(); 
{ /* ./BackEnd/c.scm 117 */
obj_t BgL_globalsz00_1067;
{ /* ./BackEnd/c.scm 117 */
BgL_backendz00_bglt BgL_obj3471z00_1696;
BgL_obj3471z00_1696 = 
(BgL_backendz00_bglt)(BgL_mez00_22); 
BgL_globalsz00_1067 = 
(((BgL_backendz00_bglt)CREF(BgL_obj3471z00_1696))->BgL_functionsz00); } 
{ /* ./BackEnd/c.scm 121 */
bool_t BgL_test3882z00_1068;
{ /* ./BackEnd/c.scm 121 */
long BgL_n1z00_1697;
BgL_n1z00_1697 = 
(long)CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00); 
BgL_test3882z00_1068 = 
(BgL_n1z00_1697>((long)0)); } 
if(BgL_test3882z00_1068)
{ /* ./BackEnd/c.scm 121 */
BGl_emitzd2bdbzd2infoz00zzbdb_emitz00(BgL_globalsz00_1067, BGl_za2czd2portza2zd2zzbackend_c_emitz00); }  else 
{ /* ./BackEnd/c.scm 121 */BFALSE; } } 
{ /* ./BackEnd/c.scm 125 */
bool_t BgL_test3885z00_1069;
{ /* ./BackEnd/c.scm 125 */
long BgL_n1z00_1699;
BgL_n1z00_1699 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL_test3885z00_1069 = 
(BgL_n1z00_1699>((long)0)); } 
if(BgL_test3885z00_1069)
{ /* ./BackEnd/c.scm 125 */
BGl_emitzd2profzd2infoz00zzprof_emitz00(BgL_globalsz00_1067, BGl_za2czd2portza2zd2zzbackend_c_emitz00); }  else 
{ /* ./BackEnd/c.scm 125 */BFALSE; } } 
{ /* ./BackEnd/c.scm 129 */
bool_t BgL_test3888z00_1070;
{ /* ./BackEnd/c.scm 129 */
bool_t BgL_test3890z00_1071;
if(
CBOOL(BGl_za2mainza2z00zzmodule_modulez00))
{ /* ./BackEnd/c.scm 129 */
BgL_test3890z00_1071 = ((bool_t)1); }  else 
{ /* ./BackEnd/c.scm 129 */
obj_t BgL_auxz00_1834;
BgL_auxz00_1834 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)3))); 
BgL_test3890z00_1071 = 
CBOOL(BgL_auxz00_1834); } 
if(BgL_test3890z00_1071)
{ /* ./BackEnd/c.scm 130 */
bool_t BgL_test3891z00_1072;
{ /* ./BackEnd/c.scm 130 */
obj_t BgL_auxz00_1839;
BgL_auxz00_1839 = 
CNST_TABLE_REF(((long)4)); 
BgL_test3891z00_1072 = 
(BGl_za2mainza2z00zzmodule_modulez00==BgL_auxz00_1839); } 
if(BgL_test3891z00_1072)
{ /* ./BackEnd/c.scm 130 */
BgL_test3888z00_1070 = ((bool_t)0); }  else 
{ /* ./BackEnd/c.scm 130 */
BgL_test3888z00_1070 = ((bool_t)1); } }  else 
{ /* ./BackEnd/c.scm 129 */
BgL_test3888z00_1070 = ((bool_t)0); } } 
if(BgL_test3888z00_1070)
{ /* ./BackEnd/c.scm 129 */
BGl_emitzd2mainzd2zzbackend_c_emitz00(); }  else 
{ /* ./BackEnd/c.scm 129 */BFALSE; } } 
{ /* ./BackEnd/c.scm 134 */
obj_t BgL_modzd2initzd2_1073;
BgL_modzd2initzd2_1073 = 
BGl_getzd2modulezd2initz00zzbackend_c_initz00(); 
{ /* ./BackEnd/c.scm 135 */
bool_t BgL_test3894z00_1074;
if(HAVE_DLOPEN)
{ /* ./BackEnd/c.scm 135 */
if(
CBOOL(BGl_za2dlopenzd2initza2zd2zzengine_paramz00))
{ /* ./BackEnd/c.scm 135 */
BgL_test3894z00_1074 = 
BGl_iszd2azf3z21zz__objectz00(BgL_modzd2initzd2_1073, BGl_globalz00zzast_varz00); }  else 
{ /* ./BackEnd/c.scm 135 */
BgL_test3894z00_1074 = ((bool_t)0); } }  else 
{ /* ./BackEnd/c.scm 135 */
BgL_test3894z00_1074 = ((bool_t)0); } 
if(BgL_test3894z00_1074)
{ /* ./BackEnd/c.scm 135 */
BGl_emitzd2dlopenzd2initz00zzbackend_c_emitz00(BgL_modzd2initzd2_1073); }  else 
{ /* ./BackEnd/c.scm 135 */BFALSE; } } } 
BGl_cvmzd2compilezd2functionsz00zzbackend_backendz00(BgL_mez00_22); 
return 
BGl_stopzd2emissionz12zc0zzbackend_c_emitz00();} } 
}



/* <anonymous:3851> */
obj_t BGl_zc3anonymousza33851ze3z83zzbackend_cz00(obj_t BgL_envz00_1709)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 90 */
{ 

return 
BGl_startzd2emissionz12zc0zzbackend_c_emitz00(BGl_string4648z00zzbackend_cz00);} } 
}



/* cc-compiler */
BGL_EXPORTED_DEF obj_t BGl_cczd2compilerzd2zzbackend_cz00(obj_t BgL_czd2prefixzd2_23, obj_t BgL_ozd2prefixzd2_24)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 146 */
{ /* ./BackEnd/c.scm 148 */
bool_t BgL_arg3902z00_1075;
{ /* ./BackEnd/c.scm 148 */
bool_t BgL_test3904z00_1076;
{ /* ./BackEnd/c.scm 148 */
obj_t BgL_auxz00_1855;
BgL_auxz00_1855 = 
CNST_TABLE_REF(((long)5)); 
BgL_test3904z00_1076 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1855); } 
if(BgL_test3904z00_1076)
{ /* ./BackEnd/c.scm 148 */
BgL_arg3902z00_1075 = ((bool_t)0); }  else 
{ /* ./BackEnd/c.scm 148 */
BgL_arg3902z00_1075 = ((bool_t)1); } } 
BGl_ccz00zzcc_ccz00(BgL_czd2prefixzd2_23, BgL_ozd2prefixzd2_24, BgL_arg3902z00_1075); } 
{ /* ./BackEnd/c.scm 149 */
obj_t BgL_arg3907z00_1077;
BgL_arg3907z00_1077 = 
CNST_TABLE_REF(((long)5)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg3907z00_1077, BGl_proc4649z00zzbackend_cz00); } 
{ /* ./BackEnd/c.scm 151 */
obj_t BgL_arg3912z00_1081;
if(
STRINGP(BgL_ozd2prefixzd2_24))
{ /* ./BackEnd/c.scm 151 */
BgL_arg3912z00_1081 = BgL_ozd2prefixzd2_24; }  else 
{ /* ./BackEnd/c.scm 151 */
BgL_arg3912z00_1081 = BgL_czd2prefixzd2_23; } 
return 
BGl_ldz00zzcc_ldz00(BgL_arg3912z00_1081, ((bool_t)0));} } 
}



/* _cc-compiler4581 */
obj_t BGl__cczd2compiler4581zd2zzbackend_cz00(obj_t BgL_envz00_1711, obj_t BgL_czd2prefixzd2_1712, obj_t BgL_ozd2prefixzd2_1713)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 146 */
return 
BGl_cczd2compilerzd2zzbackend_cz00(BgL_czd2prefixzd2_1712, BgL_ozd2prefixzd2_1713);} 
}



/* <anonymous:3910> */
obj_t BGl_zc3anonymousza33910ze3z83zzbackend_cz00(obj_t BgL_envz00_1714)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 149 */
{ 

return 
CNST_TABLE_REF(((long)6));} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 15 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_backendzd2compilezd2envz00zzbackend_backendz00, BGl_cvmz00zzbackend_backendz00, BGl_proc4650z00zzbackend_cz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_backendzd2linkzd2envz00zzbackend_backendz00, BGl_cvmz00zzbackend_backendz00, BGl_proc4651z00zzbackend_cz00);} 
}



/* backend-link-cvm3788 */
obj_t BGl_backendzd2linkzd2cvm3788z00zzbackend_cz00(obj_t BgL_envz00_1720, obj_t BgL_mez00_1721, obj_t BgL_resultz00_1722)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 79 */
{ 
BgL_cvmz00_bglt BgL_mez00_1667;obj_t BgL_resultz00_1668;
BgL_mez00_1667 = 
(BgL_cvmz00_bglt)(BgL_mez00_1721); 
BgL_resultz00_1668 = BgL_resultz00_1722; 
{ /* ./BackEnd/c.scm 80 */
bool_t BgL_test4541z00_1704;
BgL_test4541z00_1704 = 
STRINGP(BgL_resultz00_1668); 
if(BgL_test4541z00_1704)
{ /* ./BackEnd/c.scm 80 */
return 
BGl_cczd2compilerzd2zzbackend_cz00(BgL_resultz00_1668, BFALSE);}  else 
{ /* ./BackEnd/c.scm 80 */
return BFALSE;} } } } 
}



/* backend-compile-cvm3786 */
obj_t BGl_backendzd2compilezd2cvm3786z00zzbackend_cz00(obj_t BgL_envz00_1723, obj_t BgL_mez00_1724)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 65 */
{ 
BgL_cvmz00_bglt BgL_mez00_1646;
BgL_mez00_1646 = 
(BgL_cvmz00_bglt)(BgL_mez00_1724); 
{ /* ./BackEnd/c.scm 66 */
obj_t BgL_czd2prefixzd2_1649;
BgL_czd2prefixzd2_1649 = 
BGl_czd2walkzd2zzbackend_cz00(BgL_mez00_1646); 
{ /* ./BackEnd/c.scm 67 */
obj_t BgL_arg4514z00_1650;
BgL_arg4514z00_1650 = 
CNST_TABLE_REF(((long)7)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg4514z00_1650, BGl_proc4652z00zzbackend_cz00); } 
{ /* ./BackEnd/c.scm 68 */
obj_t BgL_arg4519z00_1654;
BgL_arg4519z00_1654 = 
CNST_TABLE_REF(((long)8)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg4519z00_1654, BGl_proc4653z00zzbackend_cz00); } 
{ /* ./BackEnd/c.scm 69 */
bool_t BgL_test4523z00_1658;
BgL_test4523z00_1658 = 
STRINGP(BgL_czd2prefixzd2_1649); 
if(BgL_test4523z00_1658)
{ /* ./BackEnd/c.scm 69 */
{ /* ./BackEnd/c.scm 71 */
bool_t BgL_test4524z00_1659;
{ /* ./BackEnd/c.scm 71 */
bool_t BgL_test4526z00_1660;
{ /* ./BackEnd/c.scm 71 */
obj_t BgL_auxz00_1880;
BgL_auxz00_1880 = 
CNST_TABLE_REF(((long)9)); 
BgL_test4526z00_1660 = 
(BGl_za2passza2z00zzengine_paramz00==BgL_auxz00_1880); } 
if(BgL_test4526z00_1660)
{ /* ./BackEnd/c.scm 71 */
BgL_test4524z00_1659 = ((bool_t)1); }  else 
{ /* ./BackEnd/c.scm 71 */
BgL_test4524z00_1659 = 
CBOOL(BGl_za2czd2debugza2zd2zzengine_paramz00); } } 
if(BgL_test4524z00_1659)
{ /* ./BackEnd/c.scm 71 */
BGl_indentz00zzcc_indentz00(BgL_czd2prefixzd2_1649); }  else 
{ /* ./BackEnd/c.scm 71 */BFALSE; } } 
{ /* ./BackEnd/c.scm 73 */
obj_t BgL_arg4529z00_1661;
BgL_arg4529z00_1661 = 
CNST_TABLE_REF(((long)9)); 
BGl_stopzd2onzd2passz00zzengine_passz00(BgL_arg4529z00_1661, BGl_proc4654z00zzbackend_cz00); } }  else 
{ /* ./BackEnd/c.scm 69 */BFALSE; } } 
return BgL_czd2prefixzd2_1649;} } } 
}



/* <anonymous:4532> */
obj_t BGl_zc3anonymousza34532ze3z83zzbackend_cz00(obj_t BgL_envz00_1725)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 73 */
{ 

return 
CNST_TABLE_REF(((long)6));} } 
}



/* <anonymous:4522> */
obj_t BGl_zc3anonymousza34522ze3z83zzbackend_cz00(obj_t BgL_envz00_1726)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 68 */
{ 

return 
CNST_TABLE_REF(((long)6));} } 
}



/* <anonymous:4517> */
obj_t BGl_zc3anonymousza34517ze3z83zzbackend_cz00(obj_t BgL_envz00_1727)
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 67 */
{ 

return 
CNST_TABLE_REF(((long)6));} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbackend_cz00()
{ AN_OBJECT;
{ /* ./BackEnd/c.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "backend_c"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "backend_c"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "backend_c"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "backend_c"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "backend_c"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "backend_c"); 
BGl_modulezd2initializa7ationz75zzengine_configurez00(((long)37635), "backend_c"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "backend_c"); 
BGl_modulezd2initializa7ationz75zzmodule_libraryz00(((long)60538), "backend_c"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "backend_c"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "backend_c"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "backend_c"); 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28605), "backend_c"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)17453), "backend_c"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbdb_emitz00(((long)41411), "backend_c"); 
BGl_modulezd2initializa7ationz75zzprof_emitz00(((long)14049), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbackend_c_emitz00(((long)11970), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbackend_c_prototypez00(((long)34740), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbackend_c_mainz00(((long)39441), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbackend_c_initz00(((long)36471), "backend_c"); 
BGl_modulezd2initializa7ationz75zzcgen_copz00(((long)5379), "backend_c"); 
BGl_modulezd2initializa7ationz75zzcgen_cgenz00(((long)61576), "backend_c"); 
BGl_modulezd2initializa7ationz75zzsaw_c_compilez00(((long)10774), "backend_c"); 
BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long)3428), "backend_c"); 
BGl_modulezd2initializa7ationz75zzcc_indentz00(((long)1912), "backend_c"); 
BGl_modulezd2initializa7ationz75zzcc_ccz00(((long)15172), "backend_c"); 
return 
BGl_modulezd2initializa7ationz75zzcc_ldz00(((long)36014), "backend_c");} 
}

